Subject: [MMUSIC] FW: I-D Action:draft-ietf-mmusic-decoding-dependency-01.txt

From: "Thomas Schierl" <[email-masked]>
Date: Thu, 28 Feb 2008 16:58:24 +0100

Hi all,

We submitted a new revision of the signaling draft for layered codecs.
Please see attached email.

The "depend" attribute is further extended by multiple payload types for a
dependent "mid". Please have a look. A presentation on the updates will be
given during the MMUSIC session in Philadelphia. I hope that we can go for
WGLC right after the meeting.

See you soon,
Thomas

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of [email-masked]
> Sent: Monday, February 25, 2008 2:45 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [MMUSIC] I-D Action:draft-ietf-mmusic-decoding-dependency-
> 01.txt
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Multiparty Multimedia Session Control
> Working Group of the IETF.
>
>
> 	Title           : Signaling media decoding dependency in Session
> Description Protocol (SDP)
> 	Author(s)       : T. Schierl, S. Wenger
> 	Filename        : draft-ietf-mmusic-decoding-dependency-01.txt
> 	Pages           : 16
> 	Date            : 2008-02-25
>
> This memo defines semantics that allow for signaling the decoding
> dependency of different media descriptions with the same media type in
> the Session Description Protocol (SDP).  This is required, for example,
> if media data is separated and transported in different network
> streamsas a result of the use of a layered or multiple descriptive
> media coding process.
> A new grouping type "DDP" -- decoding dependency -- is defined, to be
> used in conjunction with RFC 3388 entitled "Grouping of Media Lines in
> the Session Description Protocol".  In addition, an attribute is
> specified describing the relationship of the media streams in a "DDP"
> group indicated by media identification attribute(s) and RTP payload
> type(s).
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-mmusic-decoding-
> dependency-01.txt
>
> To remove yourself from the I-D Announcement list, send a message to i-
> [email-masked] with the word unsubscribe in the body of
> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
> Internet-Drafts are also available by anonymous FTP. Login with the
> username "anonymous" and a password of your e-mail address. After
> logging in, type "cd internet-drafts" and then
> 	"get draft-ietf-mmusic-decoding-dependency-01.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-
> sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-mmusic-decoding-dependency-
> 01.txt".
>
> NOTE:   The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail
> readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.

----
Visit us at

OFC 2008 / San Diego, California, USA / 26 - 28 February 2008 / Booth 411/415
http://www.ofcnfoec.org

CeBIT 2008 / Hannover, Germany / 4-9 March 2008 / Hall 9, Booth B36
http://www.cebit.de
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: "Ali Begen (abegen)" <[email-masked]>
Date: Thu, 28 Feb 2008 09:24:04 -0800

Hi Thomas,

Thanks for the update. Some questions:

1- Section 5.2.2: For mdc, we can't signal the operation point
information with this draft. So, what do we do? How do I know whether I
am at the operation point or not?

2- In lay dependency, if 2 depends on 1, 3 depends on 2, does it mean 3
depends on 1? Similarly, in mdc, if 1 has mdc-dependency with 2, 2 has
mdc-dependency with 3, does it mean 1 has mdc-dependency with 3? If
these are already implicitly implied, do we need the explicit
declaration in SDP? Or, do we declare explicitly just to make it more
clear?

3- In Section 6.1: If the receiver does not speak DDP, the draft says
the sender must respond by offering a single media stream. Then, the
example says it could be the base layer. I believe a single media stream
from an mdc content is also acceptable and should be included in the
text.

4- In Section 6.4: I was expecting some text accompanying the examples.
If I recall correctly, there was some confusion about these examples
reported my several people (including me)! 

BR,
-acbegen

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Thomas Schierl
> Sent: Thursday, February 28, 2008 7:58 AM
> To: [email-masked]
> Cc: [email-masked]; 'Joerg Ott'
> Subject: [MMUSIC] FW: I-D 
> Action:draft-ietf-mmusic-decoding-dependency-01.txt
> 
> Hi all,
> 
> The "depend" attribute is further extended by multiple 
> payload types for a dependent "mid". Please have a look. A 
> presentation on the updates will be given during the MMUSIC 
> session in Philadelphia. I hope that we can go for WGLC right 
> after the meeting.
> 
> See you soon,
> Thomas
> 
> 
> > the Session Description Protocol (SDP).  This is required, for 
> > example, if media data is separated and transported in different 
> > network streamsas a result of the use of a layered or multiple 
> > descriptive media coding process.
> > To remove yourself from the I-D Announcement list, send a 
> message to 
> > i- [email-masked] with the word unsubscribe in 
> the body 
> > of the message.
> > You can also visit 
> https://www1.ietf.org/mailman/listinfo/I-D-announce
> > 	a MIME-compliant mail reader.  Different MIME-compliant 
> mail readers
> begin 666 ATT01697.dat
> M0V]N=&5N="U4>7!E.B!T97AT+W!L86EN#0I#;VYT96YT+4E$.B \,C P."TP
> M,BTR-3 U,SDT,"Y)+41 :65T9BYO<F<^#0H-"D5.0T]$24Y'(&UI;64-"D9)
> M3$4@+VEN=&5R;F5T+61R869T<R]D<F%F="UI971F+6UM=7-I8RUD96-O9&EN
> 59RUD97!E;F1E;F-Y+3 Q+G1X= T*
> `
> end
> 
> begin 666 draft-ietf-mmusic-decoding-dependency-01.txt
> M0V]N=&5N="U4>7!E.B!T97AT+W!L86EN#0I#;VYT96YT+4E$.B \,C P."TP
> =,BTR-3 U,SDT,"Y)+41<0&EE=&8N;W)G/@T*#0H` ` end
> 
> begin 666 ATT01700.txt
> M7U]?7U]?7U]?7U]?7U]?7U]?7U]?7U]?7U]?7U]?7U]?7U]?7U]?7U]?7U]?
> M7U\-"FUM=7-I8R!M86EL:6YG(&QI<W0-"FUM=7-I8T!I971F+F]R9PT*:'1T
> J<#HO+W=W=RYI971F+F]R9R]M86EL;6%N+VQI<W1I;F9O+VUM=7-I8PT*
> `
> end
> 
> ----
> Visit us at
> 
> OFC 2008 / San Diego, California, USA / 26 - 28 February 2008 
> / Booth 411/415 http://www.ofcnfoec.org
> 
> CeBIT 2008 / Hannover, Germany / 4-9 March 2008 / Hall 9, 
> Booth B36 http://www.cebit.de

---

From: "Thomas Schierl" <[email-masked]>
Date: Fri, 29 Feb 2008 12:27:30 +0100

Hi Ali,

Thanks for the input!

> am at the operation point or not?

Signaling an operation point should be part of the format/payload specific
parameters. The only thing we say is, that there must be at least one
operation point within each media stream.

> declaration in SDP? Or, do we declare explicitly just to make it more

For simplicity and completeness, we made the decision to signal all
dependent media streams/payload types. This should also reduce the parsing
process for finding all dependencies.

> from an mdc content is also acceptable and should be included in the

Good, you are right, we should include that.

> reported my several people (including me)!

Ok, we can do that. But I got the feeling that the mechanism itself wasn't
understood correctly and for that reason there was a problem reading the
examples. Anyway, we should add some informational text here.

Thomas

> From: Ali Begen (abegen) [mailto:[email-masked]]
> Sent: Thursday, February 28, 2008 6:24 PM
> To: Thomas Schierl; [email-masked]
> Subject: RE: [MMUSIC] FW: I-D Action:draft-ietf-mmusic-decoding-
> dependency-01.txt
>
> Hi Thomas,
>

----
Visit us at